Bug 119382 - (FLOPPY)kudzu triggers kernel panic w/ floppy driver
(FLOPPY)kudzu triggers kernel panic w/ floppy driver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-29 17:51 EST by Ed Hill
Modified: 2015-01-04 17:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:26:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Hill 2004-03-29 17:51:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Running kudzu results in a lockup with the message:

FATAL: Error inserting floppy
/lib/modules/2.6.3-2.1.253.2.1/kernel/drivers/block/floppy.ko : device
or resource busy

and the system hangs indefinately.

The system is an Athlon on an ASUS A7V600 motherboard with:

00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400/KT600 AGP]
Host Bridge (rev 80)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge
00:09.0 Ethernet controller: 3Com Corporation 3c940 1000Base? (rev 12)
00:0b.0 Unknown mass storage controller: Promise Technology, Inc.
20269 (rev 02)
00:0f.0 RAID bus controller: VIA Technologies, Inc.: Unknown device
3149 (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C/VT8235 PIPC Bus Master IDE (rev 06)
00:10.0 USB Controller: VIA Technologies, Inc. VT6202 [USB 2.0
controller] (rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. VT6202 [USB 2.0
controller] (rev 81)
00:10.2 USB Controller: VIA Technologies, Inc. VT6202 [USB 2.0
controller] (rev 81)
00:10.3 USB Controller: VIA Technologies, Inc. VT6202 [USB 2.0
controller] (rev 81)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [K8T800
South]
00:13.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
01:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4
MX 440 AGP 8x] (rev a4)


Version-Release number of selected component (if applicable):
kudzu-1.1.53-1

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 2 test 2
2. boot on the above hardware (ASUS A7V600)
3. system locks up every time during boot -- only by booting into
single user mode am I able to turn off kudzu and then reboot to get a
usable system 
    

Additional info:
Comment 1 Alan Cox 2004-05-03 11:37:14 EDT
Does lspci or /proc/interrupts show anything on IRQ 6 ?
Comment 2 Ed Hill 2004-05-04 20:46:07 EDT
Yes, theres a USB controller listed on IRQ 6:

lspci:
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
(prog-if 20 [EHCI])
        Subsystem: Asustek Computer, Inc.: Unknown device 80ed
        Flags: bus master, medium devsel, latency 32, IRQ 6
        Memory at ec800000 (32-bit, non-prefetchable)
        Capabilities: <available only to root>

/proc/interrupts:
  6:          0          XT-PIC  ehci_hcd
Comment 3 Dave Jones 2004-12-08 00:51:06 EST
any better with the latest updates ?
Comment 5 Dave Jones 2005-04-16 00:26:00 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.